com.jogamp.gluegen

## Class GlueGen

- java.lang.Object
- - com.jogamp.gluegen.GlueGen

- All Implemented Interfaces:
    GlueEmitterControls

      public class GlueGen
      extends Object
      implements GlueEmitterControls

  Glue code generator for C functions and data structures.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GlueGen()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `debug()`
    `String` | `findHeaderFile(String headerFileName)` Finds the full path name of the specified header file based on the include directories specified on the command line.
    `void` | `forceStructEmission(String typedefName)` Requests emission of an accessor for a struct that will not be referenced by any functions or other structs.
    `static void` | `main(String... args)`
    `void` | `run(Reader reader, String filename, Class<?> emitterClass, List<String> includePaths, List<String> cfgFiles, String outputRootDir, boolean copyPCPPOutput2Stderr)`
    `void` | `runSymbolFilter(SymbolFilter filter)` Runs the given filter on the #defines, enum definitions and function symbols that this controller has parsed.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GlueGen

          public GlueGen()

  - ### Method Detail

    - #### debug

          public static boolean debug()

    - #### forceStructEmission

          public void forceStructEmission(String typedefName)

      Description copied from interface: `GlueEmitterControls`
      Requests emission of an accessor for a struct that will not be referenced by any functions or other structs.
      Specified by:
        `forceStructEmission` in interface `GlueEmitterControls`

    - #### findHeaderFile

          public String findHeaderFile(String headerFileName)

      Description copied from interface: `GlueEmitterControls`
      Finds the full path name of the specified header file based on the include directories specified on the command line.
      Specified by:
        `findHeaderFile` in interface `GlueEmitterControls`

    - #### runSymbolFilter

          public void runSymbolFilter(SymbolFilter filter)

      Description copied from interface: `GlueEmitterControls`
      Runs the given filter on the #defines, enum definitions and function symbols that this controller has parsed. It is valid to call this method as soon as `GlueEmitter.beginEmission(com.jogamp.gluegen.GlueEmitterControls)` has been called on the GlueEmitter, and it is recommended to call it from that method call. Calling it during glue code emission may cause problems.
      Specified by:
        `runSymbolFilter` in interface `GlueEmitterControls`

    - #### run

          public void run(Reader reader,
                 String filename,
                 Class<?> emitterClass,
                 List<String> includePaths,
                 List<String> cfgFiles,
                 String outputRootDir,
                 boolean copyPCPPOutput2Stderr)

    - #### main

          public static void main(String... args)